// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fDimension */
export async function update9(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<API.RFDimension>(`/finyx/fDimension`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fDimension */
export async function save9(body: API.FDimensionSaveVO, options?: { [key: string]: any }) {
  return request<API.RFDimension>(`/finyx/fDimension`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fDimension */
export async function delete9(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fDimension`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fDimension/${param0} */
export async function get10(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get10Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFDimensionResultVO>(`/finyx/fDimension/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 批量删除 批量删除 POST /fDimension/batchDel */
export async function batchDel(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDimension/batchDel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 标签名称检查 名称检查 POST /fDimension/checkLabelName */
export async function checkLabelName(
  body: API.FDimensionUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.R>(`/finyx/fDimension/checkLabelName`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 维度名称检查 名称检查 POST /fDimension/checkName */
export async function checkName2(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDimension/checkName`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 复制 POST /fDimension/copy */
export async function copy10(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy10Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDimension>(`/finyx/fDimension/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fDimension/detail */
export async function getDetail10(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail10Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDimensionResultVO>(`/finyx/fDimension/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 新建,修改维度标签 标签列表,给全量的 修改给id POST /fDimension/editLabels */
export async function editLabels(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDimension/editLabels`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fDimension/findByIds */
export async function findByIds10(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFDimensionResultVO>(`/finyx/fDimension/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 生成标签 生成标签 POST /fDimension/getLabels */
export async function getLabels(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<string>(`/finyx/fDimension/getLabels`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 移动维度下的标签 移动维度下的标签 POST /fDimension/moveLabels */
export async function moveLabels(body: API.FDimensionUpdateVO, options?: { [key: string]: any }) {
  return request<API.R>(`/finyx/fDimension/moveLabels`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fDimension/page */
export async function page10(
  body: API.PageParamsFDimensionPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFDimensionResultVO>(`/finyx/fDimension/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fDimension/query */
export async function query10(body: API.FDimensionPageQuery, options?: { [key: string]: any }) {
  return request<API.RListFDimensionResultVO>(`/finyx/fDimension/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
